
package agilpizza.modelo;

import static junit.framework.Assert.*;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import agilpizza.modelo.Categoria;

public class CategoriaTest {

    @BeforeClass
    public static void setUp () throws Exception {

    }

    @AfterClass
    public static void tearDown () throws Exception {

    }

    @Test
    public void testeCategoriaPossuiNome () throws Exception {

        String nomeDeQueijo = "Queijos";
        Categoria categoria = new Categoria(nomeDeQueijo, null);
        assertEquals("Categoria deve ter nome especificado.", nomeDeQueijo,
                categoria.getNome());
        assertNull("categoria testada não tem ingredientes", categoria.getIngredientes());
    }
}
